# upgrade

Upgrades the SpecSync configuration file after a SpecSync version upgrade.

The command performs upgrades the configuration simple changes (e.g. renamed settings) automatically and provides options to configure optional features as well that have been introduced with the new version.

The `upgrade` command only modifies the configuration file but it does not change anything in the Jira. So you can perform the `upgrade` command safely and review the changes in the configuration file manually before performing a synchronization.

{% hint style="info" %}
You do not have to configure all optional feature with the `upgrade` command in one step. You can of course configure these features also manually by modifying the configuration file, but you can also re-run the `upgrade` command later to configure these.
{% endhint %}

See [Configuration wizards](/specsync/jira/features/general-features/configuration-wizards.md) for more information about the command.

## Options

| Option                               | Description                                                                                                                                                  | Default                               |
| ------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------- |
| `-c`\|`--config` \<CONFIG‑FILE‑PATH> | The full path or the folder of the configuration file being created.                                                                                         | `specsync.json` in the current folder |
| `-v`, `--verbose`                    | If specified, error messages and trace information will be displayed more in detail. Overrides `toolSettings/outputLevel` setting of the configuration file. | false                                 |

## Examples

Upgrade configuration by specifying all settings interactively:

```
dotnet specsync upgrade
```

Upgrade configuration of a specific configuration file

```
dotnet specsync upgrade -c my-specsync-config.json
```

{% content-ref url="/pages/YGXT54k7D3PR01ARt0Jy" %}
[Command line reference](/specsync/jira/reference/command-line-reference.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specsolutions.eu/specsync/jira/reference/command-line-reference/upgrade-command.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
